<div class="container" style="margin-top: 6%;">
  <div class="row justify-content-center">
    <div class="col-5">
      <form novalidate [formGroup]="formRegister">
        <div class="card">
          <div class="card-header">
            Sample Form
          </div>
          <div class="card-body">
            <div class="form-group" formGroupName="name">
              <label>Name</label>
              <div class="row">
                <div class="col-6">
                  <input type="text" class="form-control" placeholder="First" formControlName="first">
                </div>
                <div class="col-6">
                  <input type="text" class="form-control" placeholder="Last" formControlName="last">
                </div>
              </div>
            </div>
            <div class="form-group">
              <label>Email</label>
              <input type="email" class="form-control" placeholder="you@mail.com" formControlName="email">
            </div>
            <div class="form-group" formGroupName="phone">
              <label>Phone</label>
              <div class="input-group">
                <div class="input-group-prepend">
                  <span class="input-group-text">+60</span>
                </div>
                <input type="number" class="form-control" placeholder="Mobile" formControlName="mobile">
              </div>
            </div>
            <div class="form-group">
              <label>Skills</label>
              <input type="text" class="form-control" formArrayName="skills" id="skills" data-role="tagsinput">
              <small class="form-text text-info"><b>Note:</b> Transform this input into a custom tagging input.</small>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="col-5">
      <div class="bg-light p-3 h-100 rounded">
        <pre class="mb-0">{{ formRegister.value | json }}</pre>
      </div>
    </div>
  </div>
</div>
